from django.core.management.base import BaseCommand, CommandError

from services.utils import fastping_update


class Command(BaseCommand):
    help = 'Analyse d’un fichier fastping'

    def add_arguments(self, parser):
        parser.add_argument('file', help='Fichier fastping')

    def handle(self, *args, **options):
        with open(options['file'], 'rb') as f:
            stats = fastping_update(f)
        self.stdout.write(stats + '\n')
